Name: kde-edu-kalzium
Summary: Periodic Table of Elements 
Version: 4.14.3
Release: %mkrel 3
Group:	 Graphical desktop/KDE4
License: GPLv3+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/%{stable}/%{version}/src/kalzium-%{version}.tar.xz
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: ocaml
BuildRequires: eigen2
BuildRequires: facile
BuildRequires: avogadro-devel
BuildRequires: %{_lib}openbabel-devel
BuildRequires: python-devel python
BuildRequires: docbook-style-xsl

%description
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%files
%defattr(-,root,root)
%doc COPYING
%{_kde_bindir}/kalzium
%{_kde_appsdir}/kalzium/
%{_kde_datadir}/kde4/services/plasma-dataengine-kalzium.desktop
%{_kde_libdir}/kde4/concentrationCalculator.so
%{_kde_libdir}/kde4/gasCalculator.so
%{_kde_libdir}/kde4/nuclearCalculator.so
%{_kde_libdir}/kde4/plasma_applet_didyouknow.so
%{_kde_libdir}/kde4/plasma_applet_molmassCalculator.so
%{_kde_libdir}/kde4/plasma_engine_kalzium.so
%{_kde_datadir}/applications/kde4/kalzium.desktop
%{_kde_datadir}/appdata/kalzium.appdata.xml
%{_kde_datadir}/config.kcfg/kalzium.kcfg
%{_kde_configdir}/kalzium.knsrc
%{_kde_iconsdir}/hicolor/*/*/kalzium.*
%{_mandir}/man1/kalzium.*
%{_kde_appsdir}/desktoptheme/default/widgets/chalkboard.svg
%{_kde_appsdir}/libkdeedu/data/
%{_kde_datadir}/applications/kde4/kalzium_cml.desktop
%{_kde_datadir}/kde4/services/concentrationCalculator.desktop
%{_kde_datadir}/kde4/services/gasCalculator.desktop
%{_kde_datadir}/kde4/services/nuclearCalculator.desktop
%{_kde_datadir}/kde4/services/plasma-applet-Molmasscalculator.desktop
%{_kde_datadir}/kde4/services/plasma_didyouknow.desktop
%{_kde_docdir}/HTML/*/kalzium/*
%{_kde_libdir}/libscience.so.4*
%{_kde_libdir}/libcompoundviewer.so.4*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%package devel
Summary:  Development files for %{name}
License: GPLv2+
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libkdeedu-devel 

%description devel
%{summary}.

%files devel
%defattr(-,root,root)
%{_kde_includedir}/libkdeedu/*.h
%{_kde_libdir}/libscience.so
%{_kde_libdir}/libcompoundviewer.so

%prep
%setup -q -n kalzium-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Thu Jan 17 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Wed Oct 10 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.2-1_archie_2012
- update

* Tue Sep 11 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.1-1_archie_2012
- update

* Sat Aug 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.0-1_archie_2012
- update

* Fri Jun 01 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- process

* Wed May 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-2_archie_2012
- Rebuild against new packages

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sun Apr 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sat Apr 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Fri Feb 17 2012 leiche <meisssw01 at gmail.com> 4.8.0-1pclos2012
- 4.8.0
